> ## Documentation Index
> Fetch the complete documentation index at: https://help.lobyco.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get stores page by specified query criteria.



## OpenAPI

````yaml openapi/store-v3.json GET /v3/Stores/page
openapi: 3.0.4
info:
  title: StoreApi - V3
  version: v3
servers:
  - url: https://{host}/store
    description: Your Lobyco environment
    variables:
      host:
        default: your-environment.lobyco.net
        description: >-
          The API host for your Lobyco environment. Replace it with the host you
          were given — this placeholder does not resolve.
security:
  - oauth2: []
paths:
  /v3/Stores/page:
    get:
      tags:
        - Service2Service
      summary: Get stores page by specified query criteria.
      parameters:
        - name: Name
          in: query
          schema:
            type: string
        - name: GeoCoordinates.Latitude
          in: query
          schema:
            maximum: 90
            minimum: -90
            type: number
            format: double
        - name: GeoCoordinates.Longitude
          in: query
          schema:
            maximum: 180
            minimum: -180
            type: number
            format: double
        - name: GeoCoordinates.Radius
          in: query
          schema:
            maximum: 1000000
            minimum: 0
            type: number
            format: double
        - name: ChainIds
          in: query
          schema:
            type: array
            items:
              type: string
        - name: AlternateIds
          in: query
          schema:
            type: array
            items:
              type: string
        - name: Ids
          in: query
          schema:
            type: array
            items:
              type: string
        - name: SearchText
          in: query
          schema:
            type: string
        - name: Offset
          in: query
          schema:
            maximum: 2147483647
            minimum: 0
            type: integer
            format: int32
        - name: Limit
          in: query
          schema:
            maximum: 2147483647
            minimum: 1
            type: integer
            format: int32
        - name: excludeOpeningHours
          in: query
          description: >-
            Set true to exclude openingHours from the response model. The
            default value if false
          schema:
            type: boolean
            default: false
      responses:
        '200':
          description: Collection of stores
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StoreDetailsDtoEntitiesPage'
components:
  schemas:
    StoreDetailsDtoEntitiesPage:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/StoreDetailsDto'
          nullable: true
        count:
          type: integer
          format: int32
      additionalProperties: false
    StoreDetailsDto:
      required:
        - id
        - name
      type: object
      properties:
        id:
          minLength: 1
          type: string
        chainId:
          type: string
          nullable: true
        alternateIds:
          maxItems: 1
          type: array
          items:
            type: string
          nullable: true
          deprecated: true
        alternateId:
          type: string
          nullable: true
        name:
          minLength: 1
          type: string
        registrationNumber:
          type: string
          nullable: true
        contactInfo:
          $ref: '#/components/schemas/ContactInfoDto'
        location:
          $ref: '#/components/schemas/LocationDto'
        chain:
          $ref: '#/components/schemas/ChainDto'
        status:
          $ref: '#/components/schemas/StoreStatus'
        type:
          $ref: '#/components/schemas/StoreType'
        createdAt:
          type: string
          format: date-time
          nullable: true
        deletedAt:
          type: string
          format: date-time
          nullable: true
        addressLong:
          type: string
          nullable: true
        addressShort:
          type: string
          nullable: true
        openingHours:
          type: array
          items:
            $ref: '#/components/schemas/OpeningHoursDto'
          nullable: true
      additionalProperties: false
    ContactInfoDto:
      type: object
      properties:
        phone:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
      additionalProperties: false
    LocationDto:
      type: object
      properties:
        country:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        street:
          type: string
          nullable: true
        streetNumber:
          type: string
          nullable: true
        postalCode:
          type: string
          nullable: true
        timeZone:
          type: string
          nullable: true
        geoCoordinates:
          $ref: '#/components/schemas/GeoCoordinatesDto'
      additionalProperties: false
    ChainDto:
      required:
        - id
        - logoUrl
        - name
      type: object
      properties:
        id:
          minLength: 1
          type: string
        name:
          minLength: 1
          type: string
        logoUrl:
          minLength: 1
          type: string
        logoAliasUrl:
          type: string
          nullable: true
        color:
          type: string
          nullable: true
        pinIconUrl:
          type: string
          nullable: true
        logoWhiteUrl:
          type: string
          nullable: true
        logoAssetId:
          type: string
          nullable: true
          deprecated: true
        logoAliasAssetId:
          type: string
          nullable: true
          deprecated: true
        pinIconAssetId:
          type: string
          nullable: true
          deprecated: true
        logoWhiteAssetId:
          type: string
          nullable: true
          deprecated: true
        displayOrder:
          type: integer
          format: int32
        logoAssetHash:
          type: string
          nullable: true
        isAvailableForStoreSelection:
          type: boolean
      additionalProperties: false
    StoreStatus:
      enum:
        - Active
        - Closed
        - NotSpecified
      type: string
    StoreType:
      enum:
        - Public
        - Internal
      type: string
    OpeningHoursDto:
      type: object
      properties:
        storeId:
          type: string
          nullable: true
        fromDate:
          type: string
          format: date-time
        toDate:
          type: string
          format: date-time
        label:
          type: string
          nullable: true
        isClosedAllDay:
          type: boolean
          nullable: true
        isOpenedAllDay:
          type: boolean
          nullable: true
      additionalProperties: false
    GeoCoordinatesDto:
      type: object
      properties:
        latitude:
          maximum: 90
          minimum: -90
          type: number
          format: double
        longitude:
          maximum: 180
          minimum: -180
          type: number
          format: double
      additionalProperties: false
  securitySchemes:
    oauth2:
      type: apiKey
      name: Authorization
      in: header

````